PKG-SET(8)

NAME
pkg set - modify information in the installed database

SYNOPSIS
pkg set [-a] [-A [01]] [-o oldorigin:neworigin] [-y] [-gix] pkg-name

DESCRIPTION
pkg set is used to modify information concerning installed packages. pkg set should always be used with caution.

OPTIONS
The following options are supported by pkg set:

-A 01
    Set automatic flag for the package: 0 is not automatic, 1 is automatic. This affects the operation of pkg-autoremove(8).

-a  Match all installed packages.

-g  Match pkg-name as a globbing expression.

-i  Make the standard or regular expression (-x) matching against pkg-name case insensitive.

-o oldorigin:neworigin
    Change the port origin of a given dependency from oldorigin to neworigin. This corresponds to the port directory that the package originated from. Typically, this is only needed for upgrading a library or package that has MOVED or when the default version of a major port dependency changes. Usually this will be explained in /usr/ports/UPDATING. Also see pkg-updating(8) and EXAMPLES.

-x  Match pkg-name as a regular expression according to the "modern" or "extended" syntax of re_format(7).

-y  Assume yes rather than asking for confirmation before package autoremoval.

If neither the -g nor -x options are used, the default is to match pkg-name exactly.

FILES
See pkg.conf(5).

EXAMPLES
Upgrade perl from 5.12 to 5.14. This involes moving the origin from lang/perl5.12 to lang/perl5.14:
    % pkg set -o lang/perl5.12:lang/perl5.14
    % pkg install -Rf lang/perl5.14

Upgrade ruby from 1.8 to 1.9. This involes moving the origin from lang/ruby18 to lang/ruby19:
    % pkg set -o lang/ruby18:lang/ruby19
    % pkg install -Rf lang/ruby19

Move the origin libglut to freeglut, and then reinstall everything depending on glut to use the new shared library:
    % pkg set -o graphics/libglut:graphics/freeglut
    % pkg install -Rf graphics/freeglut

Change a package from automatic to non-automatic, which will prevent autoremove from removing it:
    % pkg set -A 0 perl-5.14

Change a package from non-automatic to automatic, which will make autoremove allow it be removed once nothing depends on it:
    % pkg set -A 1 perl-5.14

SEE ALSO
pkg.conf(5), pkg(8), pkg-add(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-convert(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)